summarylogtreecommitdiffstats
path: root/hellanzb.rc
diff options
context:
space:
mode:
authorsputnick2015-06-18 23:43:50 +0200
committersputnick2015-06-18 23:43:50 +0200
commit36f8c8465ee797fd5f9c525ffb9a65c8ea026865 (patch)
treecc0aaa4fc6bcce2662831ba5649743b475c235fd /hellanzb.rc
downloadaur-36f8c8465ee797fd5f9c525ffb9a65c8ea026865.tar.gz
Initial hellanzb-git commit
Diffstat (limited to 'hellanzb.rc')
-rwxr-xr-xhellanzb.rc38
1 files changed, 38 insertions, 0 deletions
diff --git a/hellanzb.rc b/hellanzb.rc
new file mode 100755
index 000000000000..36adc573d9e1
--- /dev/null
+++ b/hellanzb.rc
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+# source application-specific settings
+[ -f /etc/conf.d/hellanzb ] && . /etc/conf.d/hellanzb
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting hellanzb"
+ /bin/su - ${HELLANZB_USER} -c " /usr/bin/python2 /usr/bin/hellanzb.py -D -c ${HELLANZB_CONF} &> /dev/null"
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon hellanzb
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping hellanzb"
+ /bin/su - ${HELLANZB_USER} -c " /usr/bin/python2 /usr/bin/hellanzb.py -c ${HELLANZB_CONF} shutdown &> /dev/null"
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon hellanzb
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 2
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0